API:semanticscholar.org:semantic-scholar-api Endpoint:/graph/v1/paper/{paperId} Response format:text/html
+1 format
Auth: unknown Method:GET Last Status:403 Latency: 181ms
Description
Get detailed information about a paper by ID
Parameters (2)
fields(string, query, optional)
Comma-separated fields to return
paperId(string, path, required)
Paper ID (Semantic Scholar ID or DOI with doi: prefix)
Examples (3)
Get paper by Semantic Scholar IDcurl
curl 'https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884c9aef1b78' \
-d '{"error": "Paper with id 649def34f8be52c8b66281af98ae884c9aef1b78 not found"}'
import requests
resp = requests.get(
"https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884c9aef1b78",
json={
'error': 'Paper with id 649def34f8be52c8b66281af98ae884c9aef1b78 not found',
},
)
data = resp.json()
import zingu_apis
api = zingu_apis.api("semanticscholar")
result = api.fetch("graph/v1/paper/{paperId}")
for item in result:
print(item)
const body = {
"error": "Paper with id 649def34f8be52c8b66281af98ae884c9aef1b78 not found"
};
const resp = await fetch("https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884c9aef1b78", {
body: JSON.stringify(body),
});
const data = await resp.json();
Get paper with specific fieldscurl
curl 'https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884c9aef1b78?fields=title%2Cauthors%2Cyear%2Cabstract%2CcitationCount' \
-d '{"message": "Too Many Requests. Please wait and try again or apply for a key for higher rate limits. https://www.semanticscholar.org/product/api#api-key-form", "code": "429"}'
import requests
resp = requests.get(
"https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884c9aef1b78",
params={
'fields': 'title,authors,year,abstract,citationCount',
},
json={
'message': 'Too Many Requests. Please wait and try again or apply for a key for higher rate limits. https://www.semanticscholar.org/product/api#api-key-form',
'code': '429',
},
)
data = resp.json()
import zingu_apis
api = zingu_apis.api("semanticscholar")
result = api.fetch("graph/v1/paper/{paperId}", fields="title,authors,year,abstract,citationCount")
for item in result:
print(item)
const body = {
"message": "Too Many Requests. Please wait and try again or apply for a key for higher rate limits. https://www.semanticscholar.org/product/api#api-key-form",
"code": "429"
};
const resp = await fetch("https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884c9aef1b78?fields=title%2Cauthors%2Cyear%2Cabstract%2CcitationCount", {
body: JSON.stringify(body),
});
const data = await resp.json();